Package com.massivecraft.factions.util.Particles

## Class ParticleEffect.ParticleColor

- java.lang.Object
- - com.massivecraft.factions.util.Particles.ParticleEffect.ParticleColor

Direct Known Subclasses:
  `ParticleEffect.NoteColor`, `ParticleEffect.OrdinaryColor`

Enclosing class:
  ParticleEffect

    public abstract static class ParticleEffect.ParticleColor
    extends java.lang.Object

Represents the color for effects like `ParticleEffect.SPELL_MOB`, `ParticleEffect.SPELL_MOB_AMBIENT`, `ParticleEffect.REDSTONE` and `ParticleEffect.NOTE` This class is part of the ParticleEffect Library and follows the same usage conditions

Since:
  1.7

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`ParticleColor()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`abstract float` | `getValueX()` | Returns the value for the offsetX field
`abstract float` | `getValueY()` | Returns the value for the offsetY field
`abstract float` | `getValueZ()` | Returns the value for the offsetZ field

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParticleColor

    public ParticleColor()

### Method Detail

#### getValueX

    public abstract float getValueX()

Returns the value for the offsetX field

Returns:
  The offsetX value

#### getValueY

    public abstract float getValueY()

Returns the value for the offsetY field

Returns:
  The offsetY value

#### getValueZ

    public abstract float getValueZ()

Returns the value for the offsetZ field

Returns:
  The offsetZ value